* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body, input, button {
    font-family: "Poppins", sans-serif;
    font-size: clamp(0.95rem, 2vw, 1.2rem);
}

a {
    text-decoration: none;
}

.login {
    position: relative;
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: clamp(1rem, 3vw, 2rem);
}

img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    filter: brightness(80%);
    position: absolute;
    inset: 0;
}

.login__form {
    position: relative;
    width: min(450px,100%);
    margin-inline: clamp(0.2rem, 3vw, 1.5rem);
    color: white;
    padding: 2rem clamp(1.8rem, 4vw, 2.5rem);
    border:2px solid rgba(255,255,255,0.4);
    border-radius: clamp(0.4rem, 2vw, 1rem);
    background: transparent;
    box-shadow: 0 10px 30px rgba(0,0,0,0.5);
    backdrop-filter: blur(15px);
}

.login__title {
    text-align: center;
    font-size: clamp(1.8rem, 4vw, 2.2rem);
    margin-bottom: clamp(1.5rem, 3vw, 2rem);
}

.login__error {
    text-align: center;
    font-size: clamp(0.8rem, 2vw, 0.9rem);
    margin-bottom: clamp(1rem, 1.5vw, 2rem);
    padding: clamp(0.5rem, 2vw, 0.7rem) 0.5rem;
    background-color:red;
}

.login__inputs, .login__box{
    display: grid;
}

.login__box {
    position: relative;
    margin-bottom: clamp(1.2rem, 3vw, 1.7rem);
}

.login__input {
    width: 100%;
    padding: clamp(0.7rem, 2vw, 0.75rem) 2.5rem clamp(0.9rem, 2vw, 1rem) 0.5rem;
    font-size: clamp(0.9rem, 2vw, 1rem);
    background: transparent;
    border: 2px solid #fff;
    border-radius: 5px;
    outline: none;
    color:#fff;
}

.login__label {
    position: absolute;
    top:50%;
    left:0.5rem;
    transform: translateY(-50%);
    font-size: clamp(0.85rem, 2vw, 1rem);
    color: #fff;
    background: transparent;
    pointer-events: none;
    transition: 0.2s ease-in-out;
    padding: 0 0.3rem;
}

.login__input:focus+.login__label, .login__input:not(:placeholder-shown)+.login__label {
    top:0.1rem;
    left:0.7rem;
    font-size: clamp(0.8rem, 1.5vw, 0.9rem);
    background: rgb(144,170,168,0.9);
}

.login__box i {
    position: absolute;
    right: clamp(0.5rem, 1.5vw, 0.75rem);
    top:50%;
    transform: translateY(-50%);
    color:#fff;
    font-size: clamp(1.1rem 2vw, 1.3rem);
}

.login__check, .login__check-box {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: clamp(0.8rem, 1.5vw, 0.9rem);
}

.login__check-input {
    width: 1rem;
    height: 1rem;
    margin-right: 0.2rem;
    accent-color: #000;
}

.login__forget{
    color: #fff;
}

.login__forget:hover{
    text-decoration: underline;
}

.login__button {
    width: 100%;
    padding: clamp(0.7rem, 2vw, 0.8rem);
    margin-bottom: 1rem;
    margin-top: 0.5rem;;
    background: #fff;
    border: none;
    border-radius: clamp(0.3rem, 2vw, 0.5rem);
    color: #000;
    font-weight: 600;
    font-size: clamp(0.9rem, 2vw, 1rem);
    cursor: pointer;
}

.login__register {
    text-align: center;
    font-size: clamp(0.8rem, 1.5vw, 0.9rem);
}

.login__register a {
    color: #fff;
    font-weight: 500;
}

.login__register a:hover{
    text-decoration: underline;
}